%define rel	14

Summary:	Binary diff/patch utility
Name:		bsdiff
Version:	4.3
Release:	%mkrel %rel
Group:		File tools
License:	BSD
URL:		http://www.daemonology.net/bsdiff/
Source:		http://www.daemonology.net/bsdiff/%name-%version.tar.gz
Patch0:		bsdiff-4.3-CVE-2014-9862.patch
BuildRequires:	bzip2-devel

%description
bsdiff and bspatch are tools for building and applying patches to
binary files. By using suffix sorting (specifically, Larsson and
Sadakane's qsufsort) and taking advantage of how executable files
change, bsdiff routinely produces binary patches 50-80%% smaller
than those produced by Xdelta, and 15%% smaller than those produced
by .RTPatch.

These programs were originally named bdiff and bpatch, but the large
number of other programs using those names lead to confusion; I'm
not sure if the "bs" in refers to "binary software" (because bsdiff
produces exceptionally small patches for executable files) or
"bytewise subtraction" (which is the key to how well it performs).
Feel free to offer other suggestions.

%prep
%setup -q
%autopatch -p1

%build
%__cc %optflags %ldflags bsdiff.c -o bsdiff -lbz2
%__cc %optflags %ldflags bspatch.c -o bspatch -lbz2

%install
install -D -m755 bsdiff %{buildroot}%{_bindir}/bsdiff
install -D -m755 bspatch %{buildroot}%{_bindir}/bspatch

install -D -m644 bsdiff.1 %{buildroot}%{_mandir}/man1/bsdiff.1
install -D -m644 bspatch.1 %{buildroot}%{_mandir}/man1/bspatch.1

%files
%{_bindir}/bsdiff
%{_bindir}/bspatch
%{_mandir}/man1/bsdiff.1*
%{_mandir}/man1/bspatch.1*






%changelog
* Mon Mar 14 2022 umeabot <umeabot> 4.3-14.mga9
+ Revision: 1791522
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 4.3-13.mga8
+ Revision: 1510791
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 umeabot <umeabot> 4.3-12.mga7
+ Revision: 1295686
- Mageia 7 Mass Rebuild

* Mon Aug 08 2016 luigiwalser <luigiwalser> 4.3-11.mga6
+ Revision: 1045015
- add patch from opensuse to fix CVE-2014-9862

* Sun Jan 31 2016 umeabot <umeabot> 4.3-10.mga6
+ Revision: 929392
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.3-9.mga5
+ Revision: 743806
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.3-8.mga5
+ Revision: 678231
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.3-7.mga4
+ Revision: 503187
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 4.3-6.mga3
+ Revision: 347205
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 15 2011 anssi <anssi> 4.3-5.mga1
+ Revision: 19603
- use ldflags
- fix linking order
- imported package bsdiff


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 4.3-4mdv2011.0
+ Revision: 616866
- the mass rebuild of 2010.0 packages

* Wed Sep 02 2009 Thierry Vignaud <tv@mandriva.org> 4.3-3mdv2010.0
+ Revision: 424695
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 4.3-2mdv2008.1
+ Revision: 136280
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Mar 03 2007 Anssi Hannula <anssi@mandriva.org> 4.3-2mdv2007.0
+ Revision: 131659
- rebuild
- Import bsdiff

* Sat Mar 18 2006 Anssi Hannula <anssi@mandriva.org> 4.3-1mdk
- initial Mandriva release

